Skip to content

Search is only available in production builds. Try building and previewing the site to test it out locally.

Users & Teams

Manage the users in your Driftwood account — invite team members, deactivate users, and handle password operations.

FieldTypeDescription
iduuidUnique identifier
account_iduuidAccount this user belongs to
emailstringEmail address
namestringFull name
rolestringUser role (e.g., owner, member)
must_change_passwordbooleanWhether user must change password on next login
deactivated_atdatetime | nullWhen deactivated, if applicable
created_atdatetimeCreation timestamp
updated_atdatetimeLast update timestamp

Endpoint: users-list

FieldTypeRequiredDescription
searchstringNoSearch by name or email
limitintegerNoResults per page
offsetintegerNoPagination offset
Terminal window
curl -X POST https://api.driftwoodapp.com/api/users-list \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"limit": 50}'

Response:

{
"ok": true,
"result": {
"users": [
{
"id": "u1v2w3x4-...",
"email": "jane@company.com",
"name": "Jane Smith",
"role": "owner",
"created_at": "2025-01-15T10:00:00Z"
}
],
"total": 5
}
}

Send an invitation to add a new user to your account.

Endpoint: users-invite

FieldTypeRequiredDescription
emailstringYesEmail to invite
namestringYesUser’s name
Terminal window
curl -X POST https://api.driftwoodapp.com/api/users-invite \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "new-member@company.com",
"name": "New Team Member"
}'

Endpoint: users-set-active

FieldTypeRequiredDescription
user_iduuidYesUser ID
activebooleanYestrue to activate, false to deactivate

Endpoint: users-change-password (authenticated)

FieldTypeRequiredDescription
current_passwordstringYesCurrent password
new_passwordstringYesNew password

Endpoint: users-forgot-password (public)

FieldTypeRequiredDescription
emailstringYesAccount email

Sends a password reset email. Always returns success to prevent email enumeration.

Endpoint: users-reset-password (public)

FieldTypeRequiredDescription
tokenstringYesReset token from email
new_passwordstringYesNew password